Subject: Re: mount command
From: Chris Faylor <[email-masked]>
To: Richard Lyon <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Mar 1999 23:50:09 -0500

On Thu, Mar 25, 1999 at 10:37:47AM +1000, Richard Lyon wrote:
>See comments below:
>
>-----Original Message-----
>From: DJ Delorie <[email-masked]>
>To: [email-masked] <[email-masked]>
>Cc: [email-masked] <[email-masked]>
>Date: Tuesday, 23 March 1999 7:36
>Subject: Re: mount command
>
>>You're using bash's builtin mkdir (or cygwin's mkdir.exe), and it's
>>using the mount table.  You need to use MS's shell so it won't know
>>about the mount table.
>>
>
>
>OK, I tried doing it from explorer, the MS command prompt and bash.
>After mounting the partition, the mount point works correctly for things
>like -I option in gcc and cygpath. So I believe I have done the correct
>thing. It's the
>find command that doesn't work. I even get stranger results if I attempt
>something like mount D:/topdirectory /home. Find generates the following
>output:
>
>find: /home/filename: No such file or directory
>
>for every file in topdirectory.
>
>I have 20.1 installed.
>
>Luckily it does appear I can use cygpath in install script to cope with
>these problems.
>It converts the paths correctly to win32 format which work with find and
>tcl.
>
>I consider this sort of behaviour as a bug. Before I consider filing a bug
>report or maybe
>trying to fix it, has anyone managed to get find to work across mounted
>partitions?

When you said:

mount d:/topdirectory /home

was the operation silent or did mount display some words?  If mount
displayed something, what did it say?

I still get the feeling that you are not performing the simple operation
that DJ has asked you to do:

c:\> mkdir c:\home

You don't use the Cygwin mkdir to do this.  You use the mkdir that's
builtin to the command shell.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]